<?php
define("VERSION", "2.2.1");
include("install/functions.php");

if(!IsSet($_GET['step']))
	$step = 1;
else
	$step = $_GET['step'];

if(IsSet($_GET['lang']))
	include("install/install_lang/".$_GET['lang'].".php");
else
	include("install/install_lang/english.php");

//Schritt 1 Erfolgreich ausgeführt 
switch($step)
{
	case 1:
		if(IsSet($_GET['lang']))
			$step = 2;
		break;
	case 2:
		if(IsSet($_GET['chmod']))
			$step = 3;
		break;
	case 3:
		include("install/st_3_script.php");
		if($escape != "")
			echo "<p class='error'>".$escape."</p>";
		else
			$step = 4;
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html>
<head>
	<title>myFileAdmin-<?php echo $lang['installation'].": ".$lang['step']." ".$step; ?></title>
	<link rel="stylesheet" type="text/css" href="template/default/silver.css">
</head>
<body>
<table class='table_main' cellspacing="0px" cellpadding="0px">
	<tr>
		<td class='headline'>
    	&nbsp;
    	<span class='title'><?php echo $lang['step']." ".$step ?></span>
    </td>
	</tr>
	<tr>
		<td valign='top'>
		<?php
			include("install/st_".$step."_body.php");	
		?>
		</td>
	</tr>
</table>
<p class='about_text' width='100%' align='center'>
	Powered by <a class='small' href='http://myfileadmin.aprescher.de'>myFileAdmin</a> <?php echo VERSION; ?> &copy; 2005,2006 <a class='small' href='http://myfileadmin.aprescher.de'>mfa group</a><br>
	<a href='includes/disclaimer.htm'>Disclaimer</a>
</p>
</body>
</html>